diff -rupN pjproject-2.5.5/Makefile pjproject-2.5.5-new/Makefile
--- pjproject-2.5.5/Makefile	2014-07-14 09:21:58.000000000 +0200
+++ pjproject-2.5.5-new/Makefile	2017-01-05 14:15:08.801522592 +0100
@@ -4,7 +4,7 @@ include build/host-$(HOST_NAME).mak
 include version.mak
 
 LIB_DIRS = pjlib/build pjlib-util/build pjnath/build third_party/build pjmedia/build pjsip/build
-DIRS = $(LIB_DIRS) pjsip-apps/build $(EXTRA_DIRS)
+DIRS = $(LIB_DIRS) $(EXTRA_DIRS)
 
 ifdef MINSIZE
 MAKE_FLAGS := MINSIZE=1
diff -rupN pjproject-2.5.5/pjlib/build/Makefile pjproject-2.5.5-new/pjlib/build/Makefile
--- pjproject-2.5.5/pjlib/build/Makefile	2017-01-05 14:15:08.797522631 +0100
+++ pjproject-2.5.5-new/pjlib/build/Makefile	2017-01-05 14:15:08.801522592 +0100
@@ -56,7 +56,6 @@ export TEST_OBJS += activesock.o atomic.
 export TEST_CFLAGS += $(_CFLAGS)
 export TEST_CXXFLAGS += $(_CXXFLAGS)
 export TEST_LDFLAGS += $(PJLIB_LDLIB) $(_LDFLAGS)
-export TEST_EXE := pjlib-test-$(TARGET_NAME)$(HOST_EXE)
 
 
 export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 
diff -rupN pjproject-2.5.5/pjlib-util/build/Makefile pjproject-2.5.5-new/pjlib-util/build/Makefile
--- pjproject-2.5.5/pjlib-util/build/Makefile	2014-02-04 08:39:55.000000000 +0100
+++ pjproject-2.5.5-new/pjlib-util/build/Makefile	2017-01-05 14:15:08.802522583 +0100
@@ -54,7 +54,6 @@ export UTIL_TEST_OBJS += xml.o encryptio
 export UTIL_TEST_CFLAGS += $(_CFLAGS)
 export UTIL_TEST_CXXFLAGS += $(_CXXFLAGS)
 export UTIL_TEST_LDFLAGS += $(PJLIB_UTIL_LDLIB) $(PJLIB_LDLIB) $(_LDFLAGS)
-export UTIL_TEST_EXE:=pjlib-util-test-$(TARGET_NAME)$(HOST_EXE)
 
 	
 export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 
diff -rupN pjproject-2.5.5/pjmedia/build/Makefile pjproject-2.5.5-new/pjmedia/build/Makefile
--- pjproject-2.5.5/pjmedia/build/Makefile	2016-03-10 06:02:07.000000000 +0100
+++ pjproject-2.5.5-new/pjmedia/build/Makefile	2017-01-05 14:15:08.802522583 +0100
@@ -166,7 +166,6 @@ export PJMEDIA_TEST_LDFLAGS += $(PJMEDIA
 			       $(PJLIB_UTIL_LDLIB) \
 			       $(PJNATH_LDLIB) \
 			       $(_LDFLAGS)
-export PJMEDIA_TEST_EXE:=pjmedia-test-$(TARGET_NAME)$(HOST_EXE)
 
 	
 export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 
diff -rupN pjproject-2.5.5/pjnath/build/Makefile pjproject-2.5.5-new/pjnath/build/Makefile
--- pjproject-2.5.5/pjnath/build/Makefile	2014-02-04 08:39:55.000000000 +0100
+++ pjproject-2.5.5-new/pjnath/build/Makefile	2017-01-05 14:15:08.802522583 +0100
@@ -54,7 +54,6 @@ export PJNATH_TEST_OBJS += ice_test.o st
 export PJNATH_TEST_CFLAGS += $(_CFLAGS)
 export PJNATH_TEST_CXXFLAGS += $(_CXXFLAGS)
 export PJNATH_TEST_LDFLAGS += $(PJNATH_LDLIB) $(PJLIB_UTIL_LDLIB) $(PJLIB_LDLIB) $(_LDFLAGS)
-export PJNATH_TEST_EXE:=pjnath-test-$(TARGET_NAME)$(HOST_EXE)
 
 	
 ###############################################################################
@@ -65,7 +64,6 @@ export PJTURN_CLIENT_OBJS += client_main
 export PJTURN_CLIENT_CFLAGS += $(_CFLAGS)
 export PJTURN_CLIENT_CXXFLAGS += $(_CXXFLAGS)
 export PJTURN_CLIENT_LDFLAGS += $(PJNATH_LDLIB) $(PJLIB_UTIL_LDLIB) $(PJLIB_LDLIB) $(_LDFLAGS)
-export PJTURN_CLIENT_EXE:=pjturn-client-$(TARGET_NAME)$(HOST_EXE)
 
 ###############################################################################
 # Defines for building TURN server application
@@ -76,7 +74,6 @@ export PJTURN_SRV_OBJS += allocation.o a
 export PJTURN_SRV_CFLAGS += $(_CFLAGS)
 export PJTURN_SRV_CXXFLAGS += $(_CXXFLAGS)
 export PJTURN_SRV_LDFLAGS += $(PJNATH_LDLIB) $(PJLIB_UTIL_LDLIB) $(PJLIB_LDLIB) $(_LDFLAGS)
-export PJTURN_SRV_EXE:=pjturn-srv-$(TARGET_NAME)$(HOST_EXE)
 
 	
 	
diff -rupN pjproject-2.5.5/pjsip/build/Makefile pjproject-2.5.5-new/pjsip/build/Makefile
--- pjproject-2.5.5/pjsip/build/Makefile	2015-04-14 09:41:27.000000000 +0200
+++ pjproject-2.5.5-new/pjsip/build/Makefile	2017-01-05 14:15:08.802522583 +0100
@@ -140,7 +140,7 @@ export PJSUA2_LIB_OBJS += $(OS_OBJS) $(M
 			   account.o endpoint.o json.o persistent.o types.o \
 			   siptypes.o call.o presence.o media.o
 export PJSUA2_LIB_CFLAGS += $(_CFLAGS) $(PJ_VIDEO_CFLAGS)
-export PJSUA2_LIB_CXXFLAGS = $(PJSUA2_LIB_CFLAGS) 
+export PJSUA2_LIB_CXXFLAGS = $(_CXXFLAGS) $(PJ_VIDEO_CFLAGS) 
 export PJSUA2_LIB_LDFLAGS += $(PJSUA_LIB_LDLIB) \
 			     $(PJSIP_UA_LDLIB) \
 			     $(PJSIP_SIMPLE_LDLIB) \
@@ -165,7 +165,6 @@ export PJSUA2_TEST_OBJS += $(OS_OBJS) $(
 export PJSUA2_TEST_CFLAGS += $(_CFLAGS) $(PJ_VIDEO_CFLAGS)
 export PJSUA2_TEST_CXXFLAGS = $(PJSUA2_LIB_CFLAGS) 
 export PJSUA2_TEST_LDFLAGS += $(PJ_LDXXFLAGS) $(PJ_LDXXLIBS) $(LDFLAGS)
-export PJSUA2_TEST_EXE := pjsua2-test-$(TARGET_NAME)$(HOST_EXE)
 
 export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 
 
@@ -195,7 +194,6 @@ export TEST_LDFLAGS += $(PJSIP_LDLIB) \
 		       $(PJNATH_LDLIB) \
 		       $(PJLIB_LDLIB) \
 		       $(_LDFLAGS)
-export TEST_EXE := pjsip-test-$(TARGET_NAME)$(HOST_EXE)
 
 	
 export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 
